weka.knowledgeflow

## Class LegacyFlowLoader

- java.lang.Object
- - weka.knowledgeflow.LegacyFlowLoader

- All Implemented Interfaces:
    FlowLoader

      public class LegacyFlowLoader
      extends java.lang.Object
      implements FlowLoader

  Flow loader that reads legacy .kfml files and translates them to the new implementation.
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EXTENSION` File extension for the format handled by this flow loader

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyFlowLoader()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFlowFileExtension()` Get the flow file extension of the file format handled by this flow loader
    `java.lang.String` | `getFlowFileExtensionDescription()` Get the description of the file format handled by this flow loader
    `Flow` | `readFlow(java.io.File flowFile)` Deserialize a legacy flow from the supplied file
    `Flow` | `readFlow(java.io.InputStream is)` Deserialize a legacy flow from the supplied input stream
    `Flow` | `readFlow(java.io.Reader r)` Deserialize a legacy flow from the supplied reader
    `void` | `setLog(Logger log)` Set the log to use

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXTENSION

          public static final java.lang.String EXTENSION

      File extension for the format handled by this flow loader
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LegacyFlowLoader

          public LegacyFlowLoader()

      Constructor

  - ### Method Detail

    - #### setLog

          public void setLog(Logger log)

      Set the log to use
      Specified by:
        `setLog` in interface `FlowLoader`
      Parameters:
        `log` - log to use

    - #### getFlowFileExtension

          public java.lang.String getFlowFileExtension()

      Get the flow file extension of the file format handled by this flow loader
      Specified by:
        `getFlowFileExtension` in interface `FlowLoader`
      Returns:
        the file extension

    - #### getFlowFileExtensionDescription

          public java.lang.String getFlowFileExtensionDescription()

      Get the description of the file format handled by this flow loader
      Specified by:
        `getFlowFileExtensionDescription` in interface `FlowLoader`
      Returns:
        the description of the file format

    - #### readFlow

          public Flow readFlow(java.io.File flowFile)
                        throws WekaException

      Deserialize a legacy flow from the supplied file
      Specified by:
        `readFlow` in interface `FlowLoader`
      Parameters:
        `flowFile` - the file to load from
      Returns:
        the legacy flow translated to a new `Flow` object
      Throws:
        `WekaException` - if a problem occurs

    - #### readFlow

          public Flow readFlow(java.io.InputStream is)
                        throws WekaException

      Deserialize a legacy flow from the supplied input stream
      Specified by:
        `readFlow` in interface `FlowLoader`
      Parameters:
        `is` - the input stream to load from
      Returns:
        the legacy flow translated to a new `Flow` object
      Throws:
        `WekaException` - if a problem occurs

    - #### readFlow

          public Flow readFlow(java.io.Reader r)
                        throws WekaException

      Deserialize a legacy flow from the supplied reader
      Specified by:
        `readFlow` in interface `FlowLoader`
      Parameters:
        `r` - the reader to load from
      Returns:
        the legacy flow translated to a new `Flow` object
      Throws:
        `WekaException` - if a problem occurs